import { select, arc, line } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

var points = [
	[10, 80],
	[100, 100],
	[200, 10],
	[300, 50],
	[400, 40],
	[500, 180]
];

var pathData = line().curve(d3.curveCardinal)(points);

d3.select('path')
	.attr('d', pathData);

// draw circle for the points
d3.select('svg')
	.selectAll('circle')
	.data(points)
	.enter()
	.append('circle')
	.attr('cx', function(d) {
		return d[0];
	})
	.attr('cy', function(d) {
		return d[1];
	})
	.attr('r', 3);